RC Update Required

Joined
Jun 17, 2016
Messages
35
Reaction score
8
Age
72
When I flew my P4 today, I received an RC Controller Update required message.
I have my RC and Shield K1 connected via USB
I clicked on Overall Status, and Selected Update.
The download finished and I have downloaded version 1.8.0 so it says
However when i click on Start Upgrade, absolutely nothing happens.

What am I doing wrong please?

Also when I connect my P4 to my Mac and open DJI Assistant 2 and look at the Firmware Update take I see Current = V01.02.0503
However under this it again lists V01.02.0503 with an upgrade button lit. How do i know what version I have installed and if I need to update the P4 itself


Thanks
 
Last edited:
Joined
Aug 25, 2016
Messages
13
Reaction score
0
Age
60
Hi
I upgrade the RC a few days ago and downgrade it again to 1.6 because start giving me weak signal , lost contact with my phantom 4 and video quality in my iPad mini was bad. I forgot only record about one minute video I don't know why. There is a lot of people having problems with firmware 1.8.


Sent from my iPhone using PhantomPilots
 
Joined
May 3, 2016
Messages
152
Reaction score
50
Age
49
Location
Northumberland
My downgrade kept saying failed, if this happens leave controller on and simply retry, third attempt I got a successful message. Everything flies well again now.
 
  • Like
Reactions: Caballete007

New Threads

Forum statistics

Threads
139,062
Messages
1,435,268
Members
100,997
Latest member
Fneutron